/***************************************************************************
 *   Copyright (C) 2006 by André Lindhjem <belgarat@sdf.lonestar.org>,     *
 *                         Kjetil Holien <kjetil.holien@gmail.com>,        *
 *                         Terje Risa <terje.risa@gmail.com> &             *
 *                         Øyvind Nerbråten <oyvind@nerbraten.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *
 * \file aac.h
 * \author André Lindhjem, Kjetil Holien, Terje Risa & Øyvind Nerbråten
 * \date 15.02.2006
 *
 * Functinality for controlling aac placyback using mad and ao. With the play
 * function we can specify a mp3 file and start and stop offsets. The play function loades
 * the aac file into a memory map and decodes the part we specified for playing.
 */

#include "audio.h"


#ifndef AAC_H_
#define AAC_H_

#ifdef WITH_AAC	/* Do we want to use AAC with this build? */


//int aac_decode(Buffer * cb, AudioFormat * af, DecoderControl * dc);
//int aac_decode(struct audio_data *data);


/**
 * plays a file
 */
bool aac_play (struct audio_data *data);


/**
 * must be called before play
 */
void aac_init (struct audio_data *data);


/**
 * must be called before closing.
 */
void aac_close (struct audio_data *data);






#endif	/* WITH_AAC */

#endif /*AAC_H_*/
